Bug 108441 - [maintainer] ports/archivers/bzip2 -> 1.0.4
Summary: [maintainer] ports/archivers/bzip2 -> 1.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-27 18:30 UTC by jharris
Modified: 2007-01-28 00:50 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2007-01-27 18:30:19 UTC
	update ports/archivers/bzip2 to 1.0.4

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iJ0EARECAF0FAkW7lxRWGGh0dHA6Ly9rZXlzZXJ2ZXIua2pzbC5jb206MTEzNzEv
cGtzL2xvb2t1cD9vcD1nZXQmc2VhcmNoPTB4RDM5REEwRTMmd2VoYXZleW91bm93
PXRydWUACgkQSypIl9OdoOOKnACgqS9hXXnslyFDyG1yQIQnVGkpScUAn1Fot+6y
dg5sVdJd+66yzBu2Kxo/
=d/yI
-----END PGP SIGNATURE-------EczuRqPWTnuJF0KsFCUyZIXss0q7oeO5f0DtGALdUK8Ufvsw
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/archivers/bzip2/Makefile,v
retrieving revision 1.41
diff -u -r1.41 Makefile
--- Makefile	20 Oct 2005 10:01:04 -0000	1.41
+++ Makefile	27 Jan 2007 18:15:41 -0000
@@ -7,8 +7,7 @@
 #
 
 PORTNAME=	bzip2
-PORTVERSION=	1.0.3
-PORTREVISION=	1
+PORTVERSION=	1.0.4
 CATEGORIES=	archivers
 MASTER_SITES=	http://www.bzip.org/${PORTVERSION}/
 
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/archivers/bzip2/distinfo,v
retrieving revision 1.13
diff -u -r1.13 distinfo
--- distinfo	22 Jan 2006 06:58:25 -0000	1.13
+++ distinfo	27 Jan 2007 18:15:41 -0000
@@ -1,3 +1,5 @@
-MD5 (bzip2-1.0.3.tar.gz) = 8a716bebecb6e647d2e8a29ea5d8447f
-SHA256 (bzip2-1.0.3.tar.gz) = 4aaa8e7b4ecf03d91c33e8bf92d489533fa6c1f99e825c34058003f18eb68c13
-SIZE (bzip2-1.0.3.tar.gz) = 669075
+MD5 (bzip2-1.0.4.tar.gz) = fc310b254f6ba5fbb5da018f04533688
+SHA1 (bzip2-1.0.4.tar.gz) = f2388ec8f2c506e02aa89e67577b3c6331cbaa4c
+RMD160 (bzip2-1.0.4.tar.gz) = 438365cb911ef84b3bd6643e0d39f6b7567f0447
+SHA256 (bzip2-1.0.4.tar.gz) = f41c3898fbd53e68e0b052418960e538813cc98afcd72b2b604079d8de3e529c
+SIZE (bzip2-1.0.4.tar.gz) = 841221
Index: pkg-descr
===================================================================
RCS file: /home/ncvs/ports/archivers/bzip2/pkg-descr,v
retrieving revision 1.6
diff -u -r1.6 pkg-descr
--- pkg-descr	20 Jul 2005 07:50:43 -0000	1.6
+++ pkg-descr	27 Jan 2007 18:15:41 -0000
@@ -1,4 +1,4 @@
 This is bzip2, a advanced block-sorting file compressor.  It is
 believed to be free from any patents.
 
-WWW: http://www.bzip.org
+WWW: http://www.bzip.org/
cvs server: Diffing files
Index: files/patch-aa
===================================================================
RCS file: /home/ncvs/ports/archivers/bzip2/files/patch-aa,v
retrieving revision 1.11
diff -u -r1.11 patch-aa
--- files/patch-aa	20 Jul 2005 07:50:44 -0000	1.11
+++ files/patch-aa	27 Jan 2007 18:15:41 -0000
@@ -1,6 +1,6 @@
---- Makefile.orig	Thu Feb 17 14:28:24 2005
-+++ Makefile	Tue Jul 19 02:39:56 2005
-@@ -2,13 +2,15 @@
+--- Makefile.orig	Tue Jan  2 22:49:21 2007
++++ Makefile	Sat Jan 27 12:02:14 2007
+@@ -15,13 +15,15 @@
  SHELL=/bin/sh
  
  # To assist in cross-compiling
@@ -11,14 +11,14 @@
  LDFLAGS=
  
  BIGFILES=-D_FILE_OFFSET_BITS=64
--CFLAGS=-Wall -Winline -O -g $(BIGFILES)
+-CFLAGS=-Wall -Winline -O2 -g $(BIGFILES)
 +CFLAGS?=-O2
 +CFLAGS+=-Wall -Winline -fomit-frame-pointer -fno-strength-reduce $(BIGFILES)
 +SOFLAGS=-fPIC -fpic -DPIC
  
  # Where you want it installed when you do 'make install'
- PREFIX=/usr
-@@ -22,10 +24,18 @@
+ PREFIX=/usr/local
+@@ -35,10 +37,18 @@
        decompress.o \
        bzlib.o
  
@@ -40,7 +40,7 @@
  
  bzip2recover: bzip2recover.o
  	$(CC) $(CFLAGS) $(LDFLAGS) -o bzip2recover bzip2recover.o
-@@ -39,6 +49,10 @@
+@@ -52,6 +62,10 @@
  		$(RANLIB) libbz2.a ; \
  	fi
  
@@ -51,7 +51,7 @@
  check: test
  test: bzip2
  	@cat words1
-@@ -96,9 +110,25 @@
+@@ -109,9 +123,25 @@
  	echo ".so man1/bzdiff.1" > $(PREFIX)/man/man1/bzcmp.1
  
  clean: 
cvs server: cannot find files/patch-bzip2.c
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (FreeBSD)
How-To-Repeat: 	apply patch below
Comment 1 Martin Wilke freebsd_committer 2007-01-27 19:37:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-01-27 23:58:55 UTC
miwi        2007-01-27 23:58:42 UTC

  FreeBSD ports repository

  Modified files:
    cad/impact           Makefile distinfo 
  Log:
  - Update to 0.7.2
  
  PR:             108441
  Submitted by:   miwi
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.5       +1 -1      ports/cad/impact/Makefile
  1.6       +3 -3      ports/cad/impact/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2007-01-28 00:47:20 UTC
miwi        2007-01-28 00:47:14 UTC

  FreeBSD ports repository

  Modified files:
    archivers/bzip2      Makefile distinfo pkg-descr 
    archivers/bzip2/files patch-aa patch-bzip2.c 
  Log:
  - Update to 1.0.4
  
  PR:             108441
  Submitted by:   Jason Harris <jharris@widomaker.com> (maintainer)
  
  Revision  Changes    Path
  1.42      +2 -3      ports/archivers/bzip2/Makefile
  1.14      +3 -3      ports/archivers/bzip2/distinfo
  1.12      +8 -8      ports/archivers/bzip2/files/patch-aa
  1.2       +1 -92     ports/archivers/bzip2/files/patch-bzip2.c
  1.7       +1 -1      ports/archivers/bzip2/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-01-28 00:47:29 UTC
State Changed
From-To: open->closed

Committed. Thanks!